/****************************************************************/
/*								*/
/* errors.h:	Error Messages from XDim			*/
/*		English version					*/
/*								*/
/*		Design: Walter Benzing 1994			*/
/*								*/
/*		NO RIGHTS RESERVED				*/
/****************************************************************/

#ifndef _ERRORS_H
#define _ERRORS_H

#define XDERR_1_X	"For 1/x all x must be != 0.0 !"
#define XDERR_ASPECT	"Aspect must be >= 0.01 and <= 100 !"
#define XDERR_BIAS_S	"Correct bias value %s !"
#define XDERR_CACHE_ALLOC	"Couldn't allocate image cache !"
#define XDERR_CACHE_NUM_D	"Number of cache pixmaps must be >= 0 and < %d !"
#define XDERR_CAST_TO_DOUBLE_S	"%s Data can't be cast to double!"
#define XDERR_CAST_TO_UCHAR_S	"%s Data can't be cast to uchar!"
#define XDERR_COLOR_ALLOC	"Sorry, there is no allocatable color cell !"
#define XDERR_COLOR_ED_D	"Sorry to edit, there must be less than %d colors !"
#define XDERR_COLOR_NUM_D	"The number of colors must be 0< n < %d !"
#define XDERR_COLOR_NUM	"Please supply the number of colors !"
#define XDERR_DIV_S	"Correct division factor %s !"
#define XDERR_DIV_ELEM	"To divide all selected field elements must be != 0"
#define XDERR_EDIT_MATRIX	"Failed to allocate Edit Matrix !"
#define XDERR_EOF	"Unexpected EOF !"
#define XDERR_FILTER	"Wrong Filter Radius !"
#define XDERR_FILTER_ORD	"Error in Order Number !"
#define XDERR_FILTER_HEIGHT	"Error in Filter Height !"
#define XDERR_FILTER_WIDTH	"Error in Filter width !"
#define XDERR_FIND_LINK_S	"Could not locate a link described as %s !"
#define XDERR_FIRST_LINE	"You have to supply the first line entry !"
#define XDERR_FONT_DEFAULT	"Couldn't locate the default font !"
#define XDERR_FONT_LOAD	"Couldn't load the given font (try xlsfonts) !"
#define XDERR_FORMAT	"Sorry couldn't import this format !"
#define XDERR_GIF_COL	"To export as gif picture use less than 256 colors have to be used"
#define XDERR_GSTEP	"Please supply a grid step !"
#define XDERR_GSTEP_RANGE	"The grid step must be: step > 0 !"
#define XDERR_HISTO	"To calculate a HISTOGRAM, a data field must be loaded"
#define XDERR_LAST_LINE	"You have to supply the last line entry !"
#define XDERR_LINE_ENTRIES	"You have to supply the number entries per line !"
#define XDERR_LINE_ENT_RANGE	"Number of entries per line must be between 0 and 1000"
#define XDERR_LINE_RANGE	"Lines must be between 0%% and 100%% !"
#define XDERR_LINK_COR_D	"Link Number %d is corrupted !"
#define XDERR_LINK_DESC_TO	"You have to supply a description for TO"
#define XDERR_LINK_FILE_S	"Link from Viewport %s has no filename attached !"
#define XDERR_LINK_FROM	"No viewport to start link FROM found !"
#define XDERR_LINK_MAX	"MAXIMUM Number of Links is reached !"
#define XDERR_LINK_TO	"No viewport to link TO found (Use Link to ... Button) !"
#define XDERR_LOG_RANGE	"Logarithm: no negative Min/Max value allowed !"
#define XDERR_MATH_2OPER	"Select second operand with valid data field first !"
#define XDERR_MAX_VIEW_D	"Sorry maximum number of viewports is %d"
#define XDERR_MORE_INFO	"Some information missing in data file!"
#define XDERR_NEW_FIELD	"Width and Height of the new field must be > 0"
#define XDERR_NO_DATA	"No data field available!"
#define XDERR_NO_DATA2DOUBLE_S	"No %s Data available for cast to double!"
#define XDERR_NO_DATA2UCHAR_S	"No %s Data available for cast to uchar!"
#define XDERR_NO_DEC	"No XDim decoding vector file!"
#define XDERR_NO_IMAGE	"No image available!"
#define XDERR_NO_LINKS	"There are no links available for this viewport !"
#define XDERR_NO_MEM	"Not enough memory!"
#define XDERR_NO_MEM_D	"Couldn't allocate %d bytes of memory!"
#define XDERR_NO_MEM_ELEM_D	"Couldn't allocate enough memory for %d elements!"
#define XDERR_NO_MEM_PIX_DD	"Couldn't allocate enough memory for %dx%d pixel!"
#define XDERR_NO_PREF	"No XDim preference file!"
#define XDERR_NO_VIEW	"No viewport available!"
#define XDERR_NO_XDIM_DATA	"No XDim data file!"
#define XDERR_NUM_DEC	"Couldn't find number of decoding enties"
#define XDERR_NUM_LINES	"Number of lines is missing !"
#define XDERR_NUM_LINES_RANGE	"Number of lines must be between 0 and 1000"
#define XDERR_OFFSET	"Offset must be given !"
#define XDERR_OPEN_WRITE_S	"Couldn't open %s for write access!"
#define XDERR_OPEN_READ_S	"Couldn't open %s for read access!"
#define XDERR_PC_EVEN_S	"Number of points must be even: %s!"
#define XDERR_PC_VAL_S	"Number of points must be >= 4 : %s!"
#define XDERR_PERSP	"Perspective must be between 0% (off) and 100% !"
#define XDERR_PIC_EXPORT	"Sorry no picture export in this redraw mode allowed"
#define XDERR_PIC_HEIGHT	"You have to supply the picture height"
#define XDERR_PIC_WIDTH	"You have to supply the picture width !"
#define XDERR_REDRAW	"No such Redraw Method : %s !"
#define XDERR_REP_VAL	"Please supply a replace value !"
#define XDERR_RESTRUCT	"Dimensions (width*height) don't match size !"
#define XDERR_RGB	"RGB must be first token in a data file !" 
#define XDERR_ROT	"You have to supply a rotation angle !"
#define XDERR_ROT_RANGE	"The rotation angle must be in the range: 0.0 < Angle < Pi"
#define XDERR_SCALE	"Scale factor must be given !"
#define XDERR_SPLINE_DATA	"To do spline interpolation n must be > 2 !"
#define XDERR_SQRT_RANGE	"For sqrt the range must be z >= 0.0 !"
#define XDERR_SYNTAX_S	"Syntax error in line: %s"
#define XDERR_TIC_NUM	"Please supply the number of tics !"
#define XDERR_TIC_RANGE	"The number of tics must be: N > 0"
#define XDERR_T_INTER	"Please supply a time interval !"
#define XDERR_T_RANGE	"The time interval must be > 0"
#define XDERR_UNEVEN	"Width and Height are supposed to be uneven !"
#define XDERR_VALUE	"Please supply a value !"
#define XDERR_WIN_HEIGHT "You have to supply the window height !"
#define XDERR_WIN_WIDTH	"Please supply the window width !"
#define XDERR_WP_RANGE	"The window and the picture width and height must be > 10"
#define XDERR_XIM_ALLOC	"Couldn't allocate a correct XImage structure"
#define XDERR_X_RANGE_D	"X Values MUST be 0.0 <= x <= %d"
#define XDERR_XY_MOVE	"Please supply a value for X,Y movement !"
#define XDERR_XY_RANGE_D	"The value for X,Y movement must be in the range: 0 < delta < %d"
#define XDERR_Y_RANGE_D	"Y Values MUST be 0.0 <= y <= %d"
#define XDERR_ZOOM	"Please supply a zoom factor !"
#define XDERR_ZOOM_RANGE	"The zoom factor must be in the range: 1.0 < zoom < 5.0 !"
#define XMESS_LNKCUT	"Link to Cut Data not found"
#define XMESS_LNKDATA	"Cut Data Changed, could NOT create a crossection"
#define XMESS_LNK_NO_APHI	"Link to ABS or PHI not found"
#define XMESS_LNK_NORIM	"Link to REAL or IMAGinary part not found"
#define XMESS_LOADDATA	"Use file menu to load data"
#define XMESS_NOIM	"No imaginary data loaded for this Viewport"
#define XMESS_RIM	"Real and Imaginary part must have the same X-/Y-Dimensions"
#define XMESS_SNAP_DIM	"Dimensions out of range to snap zoom!"
#define XMESS_UNSTRUCT	"Data unstructured, use Data->restruct to set Width, Height"
#define XMESS_ZERO_FIELD	"Couldn't process zero data field !"
#endif /*_ERRORS_H*/
